## audiobuffersplit audiobuffersplit |

## Properties

guint64 | alignment-threshold | Read / Write
guint64 | discont-wait | Read / Write
GstFraction | output-buffer-duration | Read / Write
gboolean | strict-buffer-size | Read / Write

## Types and Values

struct | GstAudioBufferSplit

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioBufferSplit

## Description

## Synopsis

### Element Information

plugin | audiobuffersplit
author | Sebastian Dröge <sebastian@centricular.com>
class | Audio/Filter

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw

name | src
direction | source
presence | always
details | audio/x-raw

## Functions

## Types and Values

### struct GstAudioBufferSplit

    struct GstAudioBufferSplit;

## Property Details

### The `“alignment-threshold”` property

      “alignment-threshold”      guint64

Timestamp alignment threshold in nanoseconds.

Flags: Read / Write

Allowed values: <= 18446744073709551614

Default value: 40000000

### The `“discont-wait”` property

      “discont-wait”             guint64

Window of time in nanoseconds to wait before creating a discontinuity.

Flags: Read / Write

Allowed values: <= 18446744073709551614

Default value: 1000000000

### The `“output-buffer-duration”` property

      “output-buffer-duration”   GstFraction

Output block size in seconds.

Flags: Read / Write

### The `“strict-buffer-size”` property

      “strict-buffer-size”       gboolean

Discard the last samples at EOS or discont if they are too small to fill a buffer.

Flags: Read / Write

Default value: FALSE